(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tsparticles-engine"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CircleDrawer = void 0;
    const tsparticles_engine_1 = require("tsparticles-engine");
    class CircleDrawer {
        draw(context, particle, radius) {
            if (!particle.circleRange) {
                particle.circleRange = { min: 0, max: Math.PI * 2 };
            }
            const circleRange = particle.circleRange;
            context.arc(0, 0, radius, circleRange.min, circleRange.max, false);
        }
        getSidesCount() {
            return 12;
        }
        particleInit(container, particle) {
            const shapeData = particle.shapeData, angle = shapeData?.angle ?? {
                max: 360,
                min: 0,
            };
            particle.circleRange = !(0, tsparticles_engine_1.isObject)(angle)
                ? {
                    min: 0,
                    max: (angle * Math.PI) / 180,
                }
                : { min: (angle.min * Math.PI) / 180, max: (angle.max * Math.PI) / 180 };
        }
    }
    exports.CircleDrawer = CircleDrawer;
});
